<script setup>

import Sidebar from "@/components/Sidebar.vue";
import {useRoomStore} from "@/stores/room"
import RoomForm from "@/components/RoomForm.vue"
import {computed} from "vue";

const roomStore = useRoomStore()

const rooms = computed(() => [...roomStore.rooms])


</script>

<template>

  <h1>Room Overview</h1>
  <Sidebar></Sidebar>
  <div class="roomInput">
    <room-form></room-form>
  </div>

  <div class="container mt-3">
    <table class="table table-dark table-striped">
      <thead>
      <tr>
        <th>Number</th>
        <th>Person</th>
        <th>Description</th>
        <th>Details</th>
      </tr>
      </thead>
      <tbody>
      <tr v-for="(room, index) in rooms">
        <td>{{ room.roomNumber }}</td>
        <td>{{ room.vip }}</td>
        <td>{{ room.descriptionRoom }}</td>
        <td>
          <button class="btn btn-outline-warning">
            <router-link class="link btn-dark" :to="/room/+ index">Details</router-link>
          </button>
        </td>
      </tr>
      </tbody>
    </table>
  </div>
</template>

<style scoped>
.roomInput {
  margin-left: -300px;
  margin-top: 50px;
  margin-bottom: 50px;
}

h1 {
  margin-left: 50px;

}

.container {
  margin-left: -310px;
}

.table-dark {
  width: 1000px;
  border: 5px solid black;
}

.btn-dark {
  color: white;
  border: none;
  text-decoration: none;
}

th {
  font-weight: bold;
}

</style>